:root {
  /*
    Gruvbox: palette import
    @see https://github.com/morhetz/gruvbox/blob/f1ecde848f0cdba877acb0c740320568252cc482/colors/gruvbox.vim#L89-L132
  */
  --color-dark0-hard: #1d2021;
  --color-dark0: #282828;
  --color-dark0-soft: #32302f;
  --color-dark1: #3c3836;
  --color-dark2: #504945;
  --color-dark3: #665c54;
  --color-dark4: #7c6f64;
  --color-gray: #928374;
  --color-light0-hard: #f9f5d7;
  --color-light0: #fbf1c7;
  --color-light0-soft: #f2e5bc;
  --color-light1: #ebdbb2;
  --color-light2: #d5c4a1;
  --color-light3: #bdae93;
  --color-light4: #a89984;
  --color-bright-red: #fb4934;
  --color-bright-green: #b8bb26;
  --color-bright-yellow: #fabd2f;
  --color-bright-blue: #83a598;
  --color-bright-purple: #d3869b;
  --color-bright-aqua: #8ec07c;
  --color-bright-orange: #fe8019;
  --color-neutral-red: #cc241d;
  --color-neutral-green: #98971a;
  --color-neutral-yellow: #d79921;
  --color-neutral-blue: #458588;
  --color-neutral-purple: #b16286;
  --color-neutral-aqua: #689d6a;
  --color-neutral-orange: #d65d0e;
  --color-faded-red: #9d0006;
  --color-faded-green: #79740e;
  --color-faded-yellow: #b57614;
  --color-faded-blue: #076678;
  --color-faded-purple: #8f3f71;
  --color-faded-aqua: #427b58;
  --color-faded-orange: #af3a03;

  /*
    Gruvbox: light theme definition
  */
  --color-bg0-hard: var(--color-light0-hard);
  --color-bg0-soft: var(--color-light0-soft);
  --color-bg0: var(--color-light0);
  --color-bg1: var(--color-light1);
  --color-bg2: var(--color-light2);
  --color-bg3: var(--color-light3);
  --color-bg4: var(--color-light4);
  --color-fg0: var(--color-dark0);
  --color-fg1: var(--color-dark1);
  --color-fg2: var(--color-dark2);
  --color-fg3: var(--color-dark3);
  --color-fg4: var(--color-dark4);
  --color-gray-alt: var(--color-dark4);
  --color-red-alt: var(--color-faded-red);
  --color-green-alt: var(--color-faded-green);
  --color-yellow-alt: var(--color-faded-yellow);
  --color-blue-alt: var(--color-faded-blue);
  --color-purple-alt: var(--color-faded-purple);
  --color-aqua-alt: var(--color-faded-aqua);
  --color-orange-alt: var(--color-faded-orange);

  /*
    Gruvbox: aliases
  */
  --color-bg: var(--color-bg0);
  --color-fg: var(--color-fg1);
  --color-red: var(--color-neutral-red);
  --color-green: var(--color-neutral-green);
  --color-yellow: var(--color-neutral-yellow);
  --color-blue: var(--color-neutral-blue);
  --color-purple: var(--color-neutral-purple);
  --color-aqua: var(--color-aqua);
  --color-orange: var(--color-neutral-orange);

  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;
  color-scheme: light dark;
  color: var(--color-fg);
  background-color: var(--color-bg);
  font-synthesis: none;
  text-rendering: optimizelegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

a {
  font-weight: 500;
  color: var(--color-blue);
  text-decoration: inherit;
}

a:hover {
  color: var(--color-blue-alt);
}

body {
  margin: 0;
  padding: 0;
  display: block;
}

h1 {
  font-size: 3.2em;
  line-height: 1.1;
}

button {
  border-radius: 8px;
  border: 1px solid transparent;
  padding: 0.6em 1.2em;
  font-size: 1em;
  font-weight: 500;
  font-family: inherit;
  color: var(--color-fg);
  background-color: var(--color-bg2);
  cursor: pointer;
  transition: border-color 0.25s;
}

button:hover {
  border-color: var(--color-blue);
}

button:focus,
button:focus-visible {
  outline: 4px auto -webkit-focus-ring-color;
}

@media (prefers-color-scheme: dark) {
  :root {
    --color-bg0-hard: var(--color-dark0-hard);
    --color-bg0-soft: var(--color-dark0-soft);
    --color-bg0: var(--color-dark0);
    --color-bg1: var(--color-dark1);
    --color-bg2: var(--color-dark2);
    --color-bg3: var(--color-dark3);
    --color-bg4: var(--color-dark4);
    --color-fg0: var(--color-light0);
    --color-fg1: var(--color-light1);
    --color-fg2: var(--color-light2);
    --color-fg3: var(--color-light3);
    --color-fg4: var(--color-light4);
    --color-gray-alt: var(--color-light4);
    --color-red-alt: var(--color-bright-red);
    --color-green-alt: var(--color-bright-green);
    --color-yellow-alt: var(--color-bright-yellow);
    --color-blue-alt: var(--color-bright-blue);
    --color-purple-alt: var(--color-bright-purple);
    --color-aqua-alt: var(--color-bright-aqua);
    --color-orange-alt: var(--color-bright-orange);
  }
}
